import * as _t from "@babel/types";
const {
  isCallExpression,
  isExpressionStatement,
  isIdentifier,
  isStringLiteral
} = _t;
export function getImportSource({
  node
}) {
  if (node.specifiers.length === 0) return node.source.value;
}
export function getRequireSource({
  node
}) {
  if (!isExpressionStatement(node)) return;
  const {
    expression
  } = node;
  if (isCallExpression(expression) && isIdentifier(expression.callee) && expression.callee.name === "require" && expression.arguments.length === 1 && isStringLiteral(expression.arguments[0])) {
    return expression.arguments[0].value;
  }
}
export function isPolyfillSource(source) {
  return source === "@babel/polyfill" || source === "core-js";
}

//# sourceMappingURL=utils.js.map
